<script lang="ts" setup>

import { useOrderStore } from "@/stores/order";

const orderStore = useOrderStore();

</script>
<template>
    <v-container>
        <v-row class="mt-8">
            <v-col cols="5"></v-col>
            <v-col><span class="font">ชำระเงิน</span></v-col>
        </v-row>
        <v-row class="mt-16">
            <v-col cols="1"></v-col>
            <v-col cols="3"><span class="font">เลขบัตรเครดิต</span></v-col>
            <v-col>
                <span class="fonttext">{{orderStore.creditcardnumber}}</span>
            </v-col>

        </v-row>
        <v-row class="mt-10">
            <v-col cols="1"></v-col>
            <v-col cols="3"><span class="font">วันหมดอายุ</span></v-col>
            <v-col>
                <span class="fonttext">{{orderStore.expirationdate}}</span>    
            </v-col>
        </v-row>
        <v-row class="mt-10">
            <v-col cols="1"></v-col>
            <v-col cols="3"><span class="font">ชื่อเจ้าของบัตร</span></v-col>
            <v-col>
                <span class="fonttext">{{orderStore.name}}</span>
            </v-col>
        </v-row>
        <v-row class="mt-10">
            <v-col cols="1"></v-col>
            <v-col cols="3"><span class="font">เลข CVV</span></v-col>
            <v-col>
                <span class="fonttext">{{orderStore.CVVnumber}}</span>
            </v-col>
        </v-row>
        <v-row class="mt-10">
            <v-col cols="1"></v-col>
            <v-col cols="3"><span class="font">ที่อยู่</span></v-col>
            <v-col>
                <span class="fonttext">{{orderStore.address}}</span>
            </v-col>
        </v-row>
        <v-row class="mt-10">
            <v-col cols="1"></v-col>
            <v-col cols="3"><span class="font">ยอดชำระเงินทั้งหมด</span></v-col>
            <v-col>
                <span class="fonttext">฿{{ orderStore.editedOrder.totalPrice.toLocaleString() }}</span>
            </v-col>
        </v-row>
        <v-row class="mt-16">
            <v-col cols="10"></v-col>
            <v-col cols="1"><v-btn class="fontbtn" height="50px" to="/creditpayment">ยกเลิก</v-btn></v-col>
            <v-col cols="1"><v-btn class="fontbtn" height="50px" to="paymentsuccess" @click="orderStore.saveOrder1">ชำระเงิน</v-btn></v-col>
        </v-row>
    </v-container>
</template>
<style scoped>
.fontbtn {
    text-align-last: center;
    font-family: fantasy;
    font-size: 20px;
    color: black;
}

.font {
    text-align-last: center;
    font-family: fantasy;
    font-size: 30px;
    color: black;
}
.fonttext {
    text-align-last: center;
    font-size: 30px;
    color: black;
}


</style>
